package com.alttd.altitudeweb.services.limits;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.concurrent.TimeUnit;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface RateLimit {
    int limit() default 20;
    long timeValue() default 60;
    TimeUnit timeUnit() default TimeUnit.SECONDS;
    String key() default "";
}
